Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
termBases
/
createByJob
Create term in job's term bases
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/termBases/createByJob \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceTerm": {
    "text": "<string>",
    "caseSensitive": true,
    "exactMatch": true,
    "forbidden": true,
    "preferred": true,
    "usage": "<string>",
    "note": "<string>",
    "shortTranslation": "<string>",
    "termType": "FULL_FORM",
    "partOfSpeech": "ADJECTIVE",
    "gender": "MASCULINE",
    "number": "SINGULAR"
  },
  "targetTerm": {
    "text": "<string>",
    "caseSensitive": true,
    "exactMatch": true,
    "forbidden": true,
    "preferred": true,
    "usage": "<string>",
    "note": "<string>",
    "shortTranslation": "<string>",
    "termType": "FULL_FORM",
    "partOfSpeech": "ADJECTIVE",
    "gender": "MASCULINE",
    "number": "SINGULAR"
  }
}
'
{
  "sourceTerm": {
    "text": "<string>",
    "id": "<string>",
    "lang": "<string>",
    "rtl": true,
    "modifiedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "modifiedBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    },
    "createdBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    },
    "caseSensitive": true,
    "exactMatch": true,
    "forbidden": true,
    "preferred": true,
    "status": "New",
    "conceptId": "<string>",
    "usage": "<string>",
    "note": "<string>",
    "writable": true,
    "shortTranslation": "<string>",
    "termType": "<string>",
    "partOfSpeech": "<string>",
    "gender": "<string>",
    "number": "<string>",
    "definition": "<string>",
    "domain": "<string>",
    "subDomains": [
      "<string>"
    ],
    "url": "<string>",
    "conceptNote": "<string>",
    "customFields": [
      {
        "fieldName": "<string>",
        "value": {}
      }
    ]
  },
  "targetTerm": {
    "text": "<string>",
    "id": "<string>",
    "lang": "<string>",
    "rtl": true,
    "modifiedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "modifiedBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    },
    "createdBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    },
    "caseSensitive": true,
    "exactMatch": true,
    "forbidden": true,
    "preferred": true,
    "status": "New",
    "conceptId": "<string>",
    "usage": "<string>",
    "note": "<string>",
    "writable": true,
    "shortTranslation": "<string>",
    "termType": "<string>",
    "partOfSpeech": "<string>",
    "gender": "<string>",
    "number": "<string>",
    "definition": "<string>",
    "domain": "<string>",
    "subDomains": [
      "<string>"
    ],
    "url": "<string>",
    "conceptNote": "<string>",
    "customFields": [
      {
        "fieldName": "<string>",
        "value": {}
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required
projectUid
string
required

Body

application/json
sourceTerm
object
required
targetTerm
object
required

Response

successful operation

sourceTerm
object
required
targetTerm
object
required